Subject: Re: bug#19443: 25.0.50; `info-display-manual' could limit the choice to currently visited manuals if given a prefix arg for convenience

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Dec 2014 09:33:02 +0200

> From: Filipp Gunbin <[email-masked]>
> Date: Sat, 27 Dec 2014 03:00:23 +0300
> Cc: [email-masked]
> 
> On 26/12/2014 15:37 -0500, Glenn Morris wrote:
> 
> > Filipp Gunbin wrote:
> >
> >> ++++
> >> +** `info-display-manual' can now be given a prefix argument which (any
> >> +non-nil value) directs the command to limit the choice of manual to
> >> +currently visited manuals.
> >
> > "+++" is inappropriate since your patch includes no doc/ changes.
> 
> But etc/CONTRIBUTE says:
> 
> "Think about whether your change requires updating the documentation
> (both manuals and doc-strings).  If you know it does not, mark the NEWS
> entry with "---".  If you know that *all* the necessary documentation
> updates have been made, mark the entry with "+++". Otherwise do not mark
> it."
> 
> And I've updated the doc-string.
> 
> Am I missing something?

Yes, you are missing info.texi, which does describe this command.  I
think a sentence about the significance of the prefix argument in this
case would be appropriate there.  If you do that, then +++ will be
appropriate.

Thanks.

(In general, "C-h k" AND "C-h f" are useful to see if there's any
documentation in any manual for a key or a function.  There's no such
command for variables, unfortunately.)